Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

[已解决]restore odoo12数据库报错



  • 报错信息如下,不知道是否跟log里面列的其他模块有关?

    2020-05-09 06:43:55,164 5636 INFO ? odoo.http: HTTP Configuring static files 
    2020-05-09 06:43:55,166 5636 DEBUG ? odoo.http: HTTP sessions stored in: /home/hui/data_file/odoo12/sessions 
    2020-05-09 06:43:55,176 5636 DEBUG 89_v12 odoo.modules.registry: Multiprocess load registry signaling: [Registry: 20] [Cache: 52] 
    2020-05-09 06:43:55,180 5636 INFO 89_v12 odoo.modules.loading: loading 1 modules... 
    2020-05-09 06:43:55,181 5636 DEBUG 89_v12 odoo.modules.loading: loading module base (1/1) 
    2020-05-09 06:43:55,197 5636 INFO 89_v12 odoo.modules.loading: 1 modules loaded in 0.02s, 0 queries 
    2020-05-09 06:43:55,203 5636 DEBUG 89_v12 odoo.modules.module: module muk_utils: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,203 5636 WARNING 89_v12 odoo.modules.graph: module muk_utils: not installable, skipped 
    2020-05-09 06:43:55,205 5636 DEBUG 89_v12 odoo.modules.module: module sms: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,205 5636 WARNING 89_v12 odoo.modules.graph: module sms: not installable, skipped 
    2020-05-09 06:43:55,207 5636 DEBUG 89_v12 odoo.modules.module: module muk_autovacuum: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,207 5636 WARNING 89_v12 odoo.modules.graph: module muk_autovacuum: not installable, skipped 
    2020-05-09 06:43:55,208 5636 DEBUG 89_v12 odoo.modules.module: module sale_order_aprobar: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,208 5636 WARNING 89_v12 odoo.modules.graph: module sale_order_aprobar: not installable, skipped 
    2020-05-09 06:43:55,211 5636 DEBUG 89_v12 odoo.modules.module: module auto_backup: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,211 5636 WARNING 89_v12 odoo.modules.graph: module auto_backup: not installable, skipped 
    2020-05-09 06:43:55,215 5636 DEBUG 89_v12 odoo.modules.module: module xx_muk_be_theme_collapse: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,215 5636 WARNING 89_v12 odoo.modules.graph: module xx_muk_be_theme_collapse: not installable, skipped 
    2020-05-09 06:43:55,220 5636 DEBUG 89_v12 odoo.modules.module: module muk_web_theme: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,220 5636 WARNING 89_v12 odoo.modules.graph: module muk_web_theme: not installable, skipped 
    2020-05-09 06:43:55,221 5636 DEBUG 89_v12 odoo.modules.module: module muk_web_utils: no manifest file found ('__manifest__.py', '__openerp__.py') 
    2020-05-09 06:43:55,221 5636 WARNING 89_v12 odoo.modules.graph: module muk_web_utils: not installable, skipped 
    2020-05-09 06:43:55,224 5636 DEBUG 89_v12 odoo.modules.loading: Updating graph with 47 more modules 
    2020-05-09 06:43:55,224 5636 INFO 89_v12 odoo.modules.loading: loading 40 modules... 
    2020-05-09 06:43:55,224 5636 DEBUG 89_v12 odoo.modules.loading: loading module decimal_precision (2/40) 
    2020-05-09 06:43:55,227 5636 DEBUG 89_v12 odoo.modules.loading: loading module uom (3/40) 
    2020-05-09 06:43:55,230 5636 DEBUG 89_v12 odoo.modules.loading: loading module web (4/40) 
    2020-05-09 06:43:55,238 5636 DEBUG 89_v12 odoo.modules.loading: loading module base_import (5/40) 
    2020-05-09 06:43:55,262 5636 DEBUG 89_v12 odoo.modules.loading: loading module base_setup (6/40) 
    2020-05-09 06:43:55,265 5636 DEBUG 89_v12 odoo.modules.loading: loading module bus (7/40) 
    2020-05-09 06:43:55,269 5636 DEBUG 89_v12 odoo.modules.loading: loading module http_routing (8/40) 
    2020-05-09 06:43:55,274 5636 DEBUG 89_v12 odoo.modules.loading: loading module web_diagram (9/40) 
    2020-05-09 06:43:55,275 5636 DEBUG 89_v12 odoo.modules.loading: loading module web_editor (10/40) 
    2020-05-09 06:43:55,288 5636 DEBUG 89_v12 odoo.modules.loading: loading module web_kanban_gauge (11/40) 
    2020-05-09 06:43:55,289 5636 DEBUG 89_v12 odoo.modules.loading: loading module web_settings_dashboard (12/40) 
    2020-05-09 06:43:55,292 5636 DEBUG 89_v12 odoo.modules.loading: loading module web_tour (13/40) 
    2020-05-09 06:43:55,295 5636 DEBUG 89_v12 odoo.modules.loading: loading module iap (14/40) 
    2020-05-09 06:43:55,299 5636 DEBUG 89_v12 odoo.modules.loading: loading module mail (15/40) 
    2020-05-09 06:43:55,352 5636 DEBUG 89_v12 odoo.modules.loading: loading module web_unsplash (16/40) 
    2020-05-09 06:43:55,360 5636 DEBUG 89_v12 odoo.modules.loading: loading module analytic (17/40) 
    2020-05-09 06:43:55,364 5636 DEBUG 89_v12 odoo.modules.loading: loading module auth_signup (18/40) 
    2020-05-09 06:43:55,377 5636 DEBUG 89_v12 odoo.modules.loading: loading module fetchmail (19/40) 
    2020-05-09 06:43:55,386 5636 DEBUG 89_v12 odoo.modules.loading: loading module mail_bot (20/40) 
    2020-05-09 06:43:55,395 5636 DEBUG 89_v12 odoo.modules.loading: loading module partner_autocomplete (21/40) 
    2020-05-09 06:43:55,401 5636 DEBUG 89_v12 odoo.modules.loading: loading module portal (22/40) 
    2020-05-09 06:43:55,417 5636 DEBUG 89_v12 odoo.modules.loading: loading module product (23/40) 
    2020-05-09 06:43:55,438 5636 DEBUG 89_v12 odoo.modules.loading: loading module sales_team (24/40) 
    2020-05-09 06:43:55,443 5636 DEBUG 89_v12 odoo.modules.loading: loading module snailmail (25/40) 
    2020-05-09 06:43:55,449 5636 DEBUG 89_v12 odoo.modules.loading: loading module digest (26/40) 
    2020-05-09 06:43:55,456 5636 DEBUG 89_v12 odoo.modules.loading: loading module account (27/40) 
    2020-05-09 06:43:55,605 5636 DEBUG 89_v12 odoo.modules.loading: loading module account_bank_statement_import (28/40) 
    2020-05-09 06:43:55,610 5636 DEBUG 89_v12 odoo.modules.loading: loading module account_cancel (29/40) 
    2020-05-09 06:43:55,612 5636 DEBUG 89_v12 odoo.modules.loading: loading module account_facturx (30/40) 
    2020-05-09 06:43:55,614 5636 DEBUG 89_v12 odoo.modules.loading: loading module l10n_multilang (31/40) 
    2020-05-09 06:43:55,618 5636 DEBUG 89_v12 odoo.modules.loading: loading module membership (32/40) 
    2020-05-09 06:43:55,629 5636 DEBUG 89_v12 odoo.modules.loading: loading module payment (33/40) 
    2020-05-09 06:43:55,631 5636 DEBUG 89_v12 odoo.modules.loading: loading module snailmail_account (34/40) 
    2020-05-09 06:43:55,644 5636 DEBUG 89_v12 odoo.modules.loading: loading module l10n_cn (35/40) 
    2020-05-09 06:43:55,646 5636 DEBUG 89_v12 odoo.modules.loading: loading module member_lee (36/40) 
    2020-05-09 06:43:55,648 5636 DEBUG 89_v12 odoo.modules.loading: loading module payment_transfer (37/40) 
    2020-05-09 06:43:55,651 5636 DEBUG 89_v12 odoo.modules.loading: loading module sale (38/40) 
    2020-05-09 06:43:55,676 5636 DEBUG 89_v12 odoo.modules.loading: loading module l10n_cn_small_business (39/40) 
    2020-05-09 06:43:55,679 5636 DEBUG 89_v12 odoo.modules.loading: loading module sale_management (40/40) 
    2020-05-09 06:43:55,686 5636 INFO 89_v12 odoo.modules.loading: 40 modules loaded in 0.46s, 0 queries 
    2020-05-09 06:43:56,245 5636 INFO 89_v12 odoo.modules.loading: Modules loaded. 
    2020-05-09 06:43:56,250 5636 DEBUG 89_v12 odoo.modules.registry: Multiprocess signaling check: [Registry - 20 -> 20] [Cache - 52 -> 52] 
    2020-05-09 06:43:56,250 5636 INFO 89_v12 odoo.addons.base.models.ir_http: Generating routing map 
    2020-05-09 06:43:56,298 5636 INFO 89_v12 werkzeug: 127.0.0.1 - - [09/May/2020 06:43:56] "GET / HTTP/1.1" 200 - 24 0.020 1.113
    2020-05-09 06:43:56,333 5636 DEBUG 89_v12 odoo.modules.registry: Multiprocess signaling check: [Registry - 20 -> 20] [Cache - 52 -> 52] 
    2020-05-09 06:43:56,336 5636 INFO 89_v12 werkzeug: 127.0.0.1 - - [09/May/2020 06:43:56] "GET /web HTTP/1.1" 303 - 1 0.000 0.004
    2020-05-09 06:43:56,345 5636 DEBUG 89_v12 odoo.modules.registry: Multiprocess signaling check: [Registry - 20 -> 20] [Cache - 52 -> 52] 
    2020-05-09 06:43:56,621 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,622 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,627 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,644 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,650 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,652 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,654 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,663 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,666 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,670 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,861 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,862 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,872 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,874 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:56,881 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:57,293 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:57,295 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:57,296 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:57,298 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:57,673 5636 WARNING 89_v12 odoo.modules.module: module muk_web_theme: module not found 
    2020-05-09 06:43:57,700 5636 ERROR 89_v12 odoo.sql_db: bad query: b'INSERT INTO "ir_attachment" ("id", "create_uid", "create_date", "write_uid", "write_date", "active", "company_id", "datas_fname", "mimetype", "name", "public", "res_id", "res_model", "type") VALUES (nextval(\'ir_attachment_id_seq\'), 1, (now() at time zone \'UTC\'), 1, (now() at time zone \'UTC\'), true, 1, \'web.assets_common.js\', \'application/javascript\', \'/web/content/js\', true, 0, \'ir.ui.view\', \'binary\') RETURNING id'
    ERROR: relation "ir_attachment_id_seq" does not exist
    LINE 1: ...", "res_id", "res_model", "type") VALUES (nextval('ir_attach...
                                                                 ^
     
    2020-05-09 06:43:57,700 5636 ERROR 89_v12 odoo.sql_db: bad query: b'SELECT "ir_ui_view".id FROM "ir_ui_view" WHERE (("ir_ui_view"."active" = true)  AND  ("ir_ui_view"."key" = \'web.login_layout\')) ORDER BY "ir_ui_view"."priority" ,"ir_ui_view"."name" ,"ir_ui_view"."id"   limit 1'
    ERROR: current transaction is aborted, commands ignored until end of transaction block
     
    2020-05-09 06:43:57,782 5636 INFO 89_v12 werkzeug: 127.0.0.1 - - [09/May/2020 06:43:57] "GET /web/login HTTP/1.1" 500 - 202 0.132 1.307
    2020-05-09 06:43:57,796 5636 ERROR 89_v12 werkzeug: Error on request:
    Traceback (most recent call last):
      File "/home/hui/.local/lib/python3.5/site-packages/werkzeug/serving.py", line 193, in run_wsgi
        execute(self.server.app)
      File "/home/hui/.local/lib/python3.5/site-packages/werkzeug/serving.py", line 181, in execute
        application_iter = app(environ, start_response)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/service/server.py", line 350, in app
        return self.app(e, s)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/service/wsgi_server.py", line 128, in application
        return application_unproxied(environ, start_response)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/service/wsgi_server.py", line 117, in application_unproxied
        result = odoo.http.root(environ, start_response)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 1318, in __call__
        return self.dispatch(environ, start_response)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 1291, in __call__
        return self.app(environ, start_wrapped)
      File "/home/hui/.local/lib/python3.5/site-packages/werkzeug/wsgi.py", line 599, in __call__
        return self.app(environ, start_response)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 1486, in dispatch
        result = ir_http._dispatch()
      File "/home/hui/odoo-dev/odoo12/odoo/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
        return super(Http, cls)._dispatch()
      File "/home/hui/odoo-dev/odoo12/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
        return super(IrHttp, cls)._dispatch()
      File "/home/hui/odoo-dev/odoo12/odoo/addons/http_routing/models/ir_http.py", line 394, in _dispatch
        result = super(IrHttp, cls)._dispatch()
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_http.py", line 207, in _dispatch
        return cls._handle_exception(e)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_http.py", line 177, in _handle_exception
        return request._handle_exception(exception)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 774, in _handle_exception
        return super(HttpRequest, self)._handle_exception(exception)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 312, in _handle_exception
        raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/tools/pycompat.py", line 87, in reraise
        raise value
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_http.py", line 203, in _dispatch
        result = request.dispatch()
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 833, in dispatch
        r = self._call_function(**self.params)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 344, in _call_function
        return checked_call(self.db, *args, **kwargs)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/service/model.py", line 97, in wrapper
        return f(dbname, *args, **kwargs)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 340, in checked_call
        result.flatten()
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 1268, in flatten
        self.response.append(self.render())
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/http.py", line 1261, in render
        return env["ir.ui.view"].render_template(self.template, self.qcontext)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_ui_view.py", line 1279, in render_template
        return self.browse(self.get_view_id(template)).render(values, engine)
      File "/home/hui/odoo-dev/odoo12/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
        return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_ui_view.py", line 1288, in render
        return self.env[engine].render(self.id, qcontext)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_qweb.py", line 59, in render
        result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/qweb.py", line 272, in render
        self.compile(template, options)(self, body.append, values or {})
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
        raise e
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/qweb.py", line 344, in _compiled_fn
        return compiled(self, append, new, options, log)
      File "<template>", line 1, in template_173_5
        
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/qweb.py", line 349, in _compiled_fn
        element, document = self.get_template(template, options)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/qweb.py", line 374, in get_template
        raise QWebException("load could not load template", name=template)
    odoo.addons.base.models.qweb.QWebException: None
    Traceback (most recent call last):
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/tools/cache.py", line 88, in lookup
        r = d[key]
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/tools/func.py", line 69, in wrapper
        return func(self, *args, **kwargs)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/tools/lru.py", line 44, in __getitem__
        a = self.d[obj].me
    KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f7eb3ddc048>, 'web.assets_common', 'en_US', False, True, False, False, (None,))
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/qweb.py", line 344, in _compiled_fn
        return compiled(self, append, new, options, log)
      File "<template>", line 1, in template_web_login_layout_11
      File "<template>", line 2, in body_call_content_10
      File "<template>", line 4, in set_8
      File "<decorator-gen-56>", line 2, in _get_asset_nodes
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/tools/cache.py", line 93, in lookup
        value = d[key] = self.method(*args, **kwargs)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_qweb.py", line 308, in _get_asset_nodes
        return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/assetsbundle.py", line 174, in to_node
        ["src", self.js().url],
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/assetsbundle.py", line 327, in js
        return self.save_attachment('js', content)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/assetsbundle.py", line 300, in save_attachment
        attachment = ira.sudo().create(values)
      File "<decorator-gen-41>", line 2, in create
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/api.py", line 451, in _model_create_multi
        return create(self, [arg])
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_attachment.py", line 507, in create
        return super(IrAttachment, self).create(vals_list)
      File "<decorator-gen-3>", line 2, in create
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/api.py", line 452, in _model_create_multi
        return create(self, arg)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/models.py", line 3514, in create
        records = self._create(data_list)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/models.py", line 3614, in _create
        cr.execute(query, params)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/sql_db.py", line 148, in wrapper
        return f(self, *args, **kwargs)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/sql_db.py", line 225, in execute
        res = self._obj.execute(query, params)
    psycopg2.ProgrammingError: relation "ir_attachment_id_seq" does not exist
    LINE 1: ...", "res_id", "res_model", "type") VALUES (nextval('ir_attach...
                                                                 ^
    
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/qweb.py", line 370, in get_template
        document = options.get('load', self.load)(template, options)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_qweb.py", line 122, in load
        template = env['ir.ui.view'].read_template(name)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_ui_view.py", line 1170, in read_template
        return self._read_template(self.get_view_id(xml_id))
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/addons/base/models/ir_ui_view.py", line 1185, in get_view_id
        view = self.search([('key', '=', template)], limit=1)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/models.py", line 1561, in search
        res = self._search(args, offset=offset, limit=limit, order=order, count=count)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/models.py", line 4071, in _search
        self._cr.execute(query_str, where_clause_params)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/sql_db.py", line 148, in wrapper
        return f(self, *args, **kwargs)
      File "/home/hui/odoo-dev/odoo12/odoo/odoo/sql_db.py", line 225, in execute
        res = self._obj.execute(query, params)
    psycopg2.InternalError: current transaction is aborted, commands ignored until end of transaction block
    
    
    load could not load template
    Template: web.login_layout - - -
    

  • 管理员

    先检查下数据库的版本,源码版本是否适合?



  • @Joshua
    为什么会想到是版本问题导致的,是因为这些错误的都是base模块的基础表吗



  • @Joshua
    谢谢,找到问题了,记录下.

    的确是postgres的版本问题导致的.本地pg是9.5.19,恢复的数据是服务器上的pg10.12的数据,所以恢复后登录报错如上.

    ps:卸载pg旧版本安装新版本的时候,注意要卸载干净,否则会安装不上的.


Log in to reply